Check your version of Internet Explorer

Microsoft is ending support for Internet Explorer versions older than IE11. OIS recommends updating to IE11 or Microsoft Edge so that you will receive the latest security updates. For computers managed by the UNC AD domain, Internet Explorer will be updated to IE11 automatically, starting January 26, 2016.

Both IE11 and Microsoft Edge provide increased performance, improved security, better backward compatibility, and support for the modern web technologies that power today’s websites and services.

Visit this page in Internet Explorer to determine what version of IE you are using.

View this UNC Help document for information on how to enable compatibility mode to support older browser based applications that are not currently (or only partially supported) in IE 11.

For more information, please contact OIS via help.med.unc.edu.

Filed under: , ,